<?php
// This file declares an Angular module which can be autoloaded
// in CiviCRM. See also:
// http://wiki.civicrm.org/confluence/display/CRMDOC/hook_civicrm_angularModules

$action_provider = form_processor_get_action_provider();
$default_data_action_provider = form_processor_get_action_provider_for_default_data();

return array (
	'basePages' => array('civicrm/admin/formprocessor'),
    'requires' => array(
      'crmApp',
      'crmUi',
      'crmUtil',
      'ngRoute',
      'ngSanitize',
      'dialogService',
      'ui.utils',
      'action_provider',
    ),
  'js' => 
  array (
    0 => 'ang/form_processor.js',
    1 => 'ang/form_processor/*.js',
    2 => 'ang/form_processor/*/*.js',
  ),
  'css' => 
  array (
    0 => 'ang/form_processor.css',
  ),
  'partials' => 
  array (
    0 => 'ang/form_processor',
  ),
  'settings' => 
  array (
  	'inputTypes' => \Civi::service('form_processor_type_factory')->getTypes(),
  	'validators' => \Civi::service('form_processor_validation_factory')->getValidators(),
    'delayedActionHandlers' => \Civi::service('form_processor_delayed_action_factory')->getHandlersAsArray(),
  	'outputHandlers' => \Civi::service('form_processor_output_handler_factory')->getHandlersAsArray(),
  	'defaultOutputHandler' => \Civi::service('form_processor_output_handler_factory')->getDefaultHandler()->toArray(),
  	'actionTitles' => $action_provider->getActionTitles(),
  	'defaultDataActionTitles' => $default_data_action_provider->getActionTitles(),
  	'conditionTypes' => $action_provider->getConditions(),
  	'permissions' => CRM_Core_Permission::basicPermissions(),
  	'status_labels' => CRM_FormProcessor_Status::statusLabels(),
  ),
);
