(function(angular, $, _) {

	angular.module('form_processor').directive('crmFormProcessorValidationConfiguration', function() {
	  return {
	    restrict: 'E',
	    scope: {
	      validator: '=validator'
	    },
	    templateUrl: '~/form_processor/crmFormProcessorValidationConfiguration.html',
	    link: function($scope, $el, $attr) {
      	$scope.ts = CRM.ts(null);
      	$scope.configurationSpec = $scope.validator.configuration_spec.parameter_specifications;
      	if (typeof($scope.validator.configuration) != 'object') {
          $scope.validator.configuration = {};
        }
      	$scope.configuration = $scope.validator.configuration;
        for (var spec in $scope.configurationSpec) {
          var crmUiField = {
            'name': $scope.configurationSpec[spec].name,
            'title': $scope.configurationSpec[spec].title
          }
          if ($scope.configurationSpec[spec].required) {
            crmUiField.required = true;
          }
          $scope.configurationSpec[spec].crmUiField = crmUiField;
        }
      }
	  };
	});

})(angular, CRM.$, CRM._);
